// 武将觉醒表
import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts';

export interface DicHoliday {

    // 唯一id
    readonly id: number;
    // 节假日
    readonly holiday: string;

}

export const dicHoliday = new Array<string>();
export function loadHoliday() {
    dicHoliday.splice(0, dicHoliday.length);
    let arr = readFileAndParse(FILENAME.DIC_HOLIDAY);

    arr.forEach(o => {
        dicHoliday.push(o.holiday)
    });
    arr = undefined;
}